org.kie.internal.task.api.model

## Enum SubTasksStrategy

- java.lang.Object
- - java.lang.Enum<SubTasksStrategy>
  - - org.kie.internal.task.api.model.SubTasksStrategy

- All Implemented Interfaces:
    Serializable, Comparable<SubTasksStrategy>

      public enum SubTasksStrategy
      extends Enum<SubTasksStrategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EndParentOnAllSubTasksEnd`
    `NoAction`
    `SkipAllSubTasksOnParentSkip`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SubTasksStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SubTasksStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NoAction

          public static final SubTasksStrategy NoAction

    - #### EndParentOnAllSubTasksEnd

          public static final SubTasksStrategy EndParentOnAllSubTasksEnd

    - #### SkipAllSubTasksOnParentSkip

          public static final SubTasksStrategy SkipAllSubTasksOnParentSkip

  - ### Method Detail

    - #### values

          public static SubTasksStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubTasksStrategy c : SubTasksStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubTasksStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.